import { ActivatedRouteSnapshot, RouterStateSnapshot, UrlTree } from '@angular/router';
import { InjectionToken } from '@angular/core';
export interface AuthConfig {
    applicationId: string;
    http?: {
        scheme?: string;
        header?: string;
    };
    redirects?: {
        authenticated?: string | string[];
        unauthenticated?: string | string[];
    };
    setRedirectOnFailedAuth?: boolean;
    bootstrap?: boolean;
    providers?: string[];
    autoRefresh?: boolean;
}
export declare const AUTH_CONFIG: InjectionToken<AuthConfig>;
export declare const AUTH_REDIRECT_HANDLER: InjectionToken<AuthRedirectHandler>;
export interface AuthRedirectHandler {
    onFailedAuthenticated(snapshot?: ActivatedRouteSnapshot, state?: RouterStateSnapshot): boolean | UrlTree;
    onFailedAnonymous(snapshot?: ActivatedRouteSnapshot, state?: RouterStateSnapshot): boolean | UrlTree;
}
