import { OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Collection } from '../../collection';
import * as i0 from "@angular/core";
export declare class BbCollectionsPager implements OnInit, OnDestroy {
    set maxAmountOfButtons(value: number);
    get maxAmountOfButtons(): number;
    set collection(collection: Collection<unknown> | null);
    get collection(): Collection<unknown> | null;
    data$: Observable<{
        start?: number;
        end?: number;
        totalEntries?: number;
        totalPages?: number;
        pageNumber?: number;
        pages?: {
            page: number;
            active: boolean;
        }[];
    }>;
    private _collection;
    private _subscription;
    private _cache$;
    private _maxAmountOfButtons$;
    ngOnInit(): void;
    ngOnDestroy(): void;
    setPage(pageNumber: number, totalPages: number): void;
    private setData;
    private observeCollectionChanges;
    private calculatePages;
    private filterActivePages;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbCollectionsPager, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbCollectionsPager, "bb-collections-pager", never, { "maxAmountOfButtons": { "alias": "maxAmountOfButtons"; "required": false; }; "collection": { "alias": "collection"; "required": true; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_maxAmountOfButtons: unknown;
}
