import { CollectionApiResponse, CollectionData, CollectionApiParams, CollectionRequest } from '../interfaces/collection.interface';
import { Observable } from 'rxjs';
import { CollectionProvider } from './collection.provider';
import { HttpClient } from '@angular/common/http';
export declare class ApiCollectionProvider<T> extends CollectionProvider<T> {
    protected readonly endpoint: string | Observable<string>;
    protected readonly httpClient: HttpClient;
    protected extraParams: Record<string, Observable<CollectionApiParams>>;
    protected extraObjectParams: Observable<Record<string, CollectionApiParams>>[];
    constructor(endpoint: string | Observable<string>, httpClient: HttpClient);
    append(name: string, value: CollectionApiParams | Observable<CollectionApiParams>): this;
    appendObject(value: Record<string, CollectionApiParams> | Observable<Record<string, CollectionApiParams>>): void;
    transform(request: CollectionRequest): Observable<CollectionData<T>>;
    protected getExtraParams(params: Record<string, Observable<CollectionApiParams>>): Observable<{}>;
    protected getExtraObjectParams(params$: Observable<Record<string, CollectionApiParams>>[]): Observable<{}>;
    protected formatToCollectionData(response: CollectionApiResponse<T> | T[]): CollectionData<T>;
    protected getBackendFormat(request: CollectionRequest): {};
}
