import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class BbCheckbox implements AfterViewInit, ControlValueAccessor {
    private _renderer;
    private _changeDetectorRef;
    readonly labelId: string;
    inputElementRef: ElementRef<HTMLInputElement>;
    checked: boolean;
    indeterminate: boolean;
    disabled: boolean;
    grouped: boolean;
    checkedChange: EventEmitter<boolean>;
    indeterminateChange: EventEmitter<boolean>;
    onTouchedCallback: () => void;
    onChangeCallback: (_: boolean | null) => void;
    constructor(_renderer: Renderer2, _changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    toggle(): void;
    writeValue(newValue: boolean): void;
    registerOnChange(method: (_: boolean | null) => void): void;
    registerOnTouched(method: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    onClickEvent(event: Event): void;
    onChangeEvent(event: Event): void;
    private emitChangeEvent;
    private syncField;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbCheckbox, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbCheckbox, "bb-checkbox", never, { "checked": { "alias": "checked"; "required": false; }; "indeterminate": { "alias": "indeterminate"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "grouped": { "alias": "grouped"; "required": false; }; }, { "checkedChange": "checkedChange"; "indeterminateChange": "indeterminateChange"; }, never, ["*"], true, never>;
    static ngAcceptInputType_checked: unknown;
    static ngAcceptInputType_indeterminate: unknown;
    static ngAcceptInputType_disabled: unknown;
    static ngAcceptInputType_grouped: unknown;
}
