import { ElementRef, EventEmitter, TemplateRef } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BbFilePicker implements ControlValueAccessor {
    readonly labelId: string;
    fileInput: ElementRef<HTMLInputElement>;
    extraTemplate: TemplateRef<any>;
    label: string | TemplateRef<any> | null;
    hint: string | TemplateRef<any> | null;
    accept: string | null;
    showImages: boolean;
    allowDragging: boolean;
    grouped: boolean;
    required: boolean;
    disabled: boolean;
    hideErrors: boolean;
    hovered: boolean;
    error: boolean;
    value$: BehaviorSubject<{
        file?: File;
    }>;
    onTouchedCallback: () => void;
    onChangeCallback: (_: File | null) => void;
    get value(): File | null;
    valueChange: EventEmitter<File>;
    set value(value: File | null);
    onDrag(event: Event, isHovered: boolean): void;
    onDrop(event: Event): void;
    onButtonPressed(file?: File): void;
    openFilePicker(): void;
    onFileChange(event: Event): void;
    writeValue(value: File | null): void;
    registerOnChange(method: (_: File | null) => void): void;
    registerOnTouched(method: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    onErrorChange(error: {
        token: string;
        data?: any;
    } | null): void;
    validate({ value }: FormControl<File>): {
        invalidFileType: boolean;
    };
    private saveFile;
    private getFileListFromEvent;
    private preventDefault;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbFilePicker, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbFilePicker, "bb-file-picker", never, { "label": { "alias": "label"; "required": false; }; "hint": { "alias": "hint"; "required": false; }; "accept": { "alias": "accept"; "required": false; }; "showImages": { "alias": "showImages"; "required": false; }; "allowDragging": { "alias": "allowDragging"; "required": false; }; "grouped": { "alias": "grouped"; "required": false; }; "required": { "alias": "required"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "hideErrors": { "alias": "hideErrors"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, { "valueChange": "valueChange"; }, ["extraTemplate"], never, true, never>;
    static ngAcceptInputType_grouped: unknown;
    static ngAcceptInputType_required: unknown;
    static ngAcceptInputType_disabled: unknown;
    static ngAcceptInputType_hideErrors: unknown;
}
