import { ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { ImageConverter } from '@bravobit/bb-foundation';
import * as i0 from "@angular/core";
export declare class BbImagePicker implements ControlValueAccessor {
    private _converter;
    fileInput: ElementRef<HTMLInputElement>;
    label: string | null;
    placeholder: string | null;
    styleDimensions: {
        width: string;
        height: string;
    } | null;
    cropDimensions: {
        width: number;
        height: number;
    } | null;
    disabled: boolean;
    grouped: boolean;
    onTouchedCallback: () => void;
    onChangeCallback: (_: string | null) => void;
    private _value$;
    constructor(_converter: ImageConverter);
    get value(): string | null;
    valueChange: EventEmitter<string>;
    set value(value: string | null);
    get image(): import("rxjs").Observable<string>;
    onFileChange(event: any): Promise<void>;
    openFilePicker(): void;
    writeValue(value: string | null): void;
    registerOnChange(method: (_: string | null) => void): void;
    registerOnTouched(method: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbImagePicker, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbImagePicker, "bb-image-picker", never, { "label": { "alias": "label"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "styleDimensions": { "alias": "styleDimensions"; "required": false; }; "cropDimensions": { "alias": "cropDimensions"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "grouped": { "alias": "grouped"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, true, never>;
    static ngAcceptInputType_disabled: unknown;
    static ngAcceptInputType_grouped: unknown;
}
