import { ChangeDetectorRef, EventEmitter, TemplateRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class BbRadioGroup<T> implements ControlValueAccessor {
    private _changeDetectorRef;
    label: string | TemplateRef<any> | null;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    grouped: boolean;
    inline: boolean;
    hideErrors: boolean;
    valueChange: EventEmitter<T>;
    get value(): T;
    set value(value: T);
    private _value;
    onTouchedCallback: () => void;
    onChangeCallback: (_: T | null) => void;
    error: boolean;
    constructor(_changeDetectorRef: ChangeDetectorRef);
    select(value: any): void;
    registerOnChange(fn: (newValue: T) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(newValue: T): void;
    onErrorChange(error: {
        token: string;
        data?: any;
    } | null): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbRadioGroup<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbRadioGroup<any>, "bb-radio-group", never, { "label": { "alias": "label"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "required": { "alias": "required"; "required": false; }; "grouped": { "alias": "grouped"; "required": false; }; "inline": { "alias": "inline"; "required": false; }; "hideErrors": { "alias": "hideErrors"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, { "valueChange": "valueChange"; }, never, ["bb-radio-button"], true, never>;
    static ngAcceptInputType_disabled: unknown;
    static ngAcceptInputType_readonly: unknown;
    static ngAcceptInputType_required: unknown;
    static ngAcceptInputType_grouped: unknown;
    static ngAcceptInputType_inline: unknown;
    static ngAcceptInputType_hideErrors: unknown;
}
