import { LocalizeDictionaryDataValues } from './dictionary.data';
import { LocalizeDictionaryContext } from './dictionary.context';
import { Localize } from '../localize.service';
export declare class LocalizeDictionary {
    private _id;
    private _locale;
    private _supported;
    private _dataValues;
    private _localize;
    private readonly _data;
    constructor(_id: string, _locale: string, _supported: string[], _dataValues: LocalizeDictionaryDataValues, _localize: Localize);
    get id(): string;
    get locale(): string;
    get supported(): string[];
    get(token: string | string[]): string;
    has(token: string | string[]): boolean;
    all(): {
        token: string;
        value: string;
    }[];
    some(callback: (context: LocalizeDictionaryContext) => LocalizeDictionaryContext): {
        token: string;
        value: string;
    }[];
    compare(to: string | string[]): Promise<void>;
    count(): number;
    private formatData;
}
