import { LocalizeDictionaryData } from '../dictionary/dictionary.data';
export interface LocalizeConfig {
    languages: LocalizeConfigLanguage[];
    mode?: 'automatic' | 'manual';
    storageToken?: string;
    substitutions?: {
        plural?: [leftSubstitution: string, rightSubstitution: string];
        references?: [leftSubstitution: string, rightSubstitution: string];
        interpolation?: [leftSubstitution: string, rightSubstitution: string];
    };
    compareDictionaries?: boolean;
}
export interface LocalizeConfigLanguage {
    id: string;
    locale: string;
    supported: string[];
    data: () => LocalizeDictionaryData | Promise<LocalizeDictionaryData>;
}
