import { Notification, NotificationAction, NotificationsConfig } from './notifications.interfaces';
import { ApplicationRef, EnvironmentInjector, TemplateRef } from '@angular/core';
import { Localize } from '@bravobit/bb-foundation/localize';
import { Platform } from '@angular/cdk/platform';
import * as i0 from "@angular/core";
export declare class Notifications {
    private _platform;
    private _applicationRef;
    private _environmentInjector;
    private _localize?;
    private _config?;
    private _ref;
    private readonly _defaultMode;
    private readonly _defaultTimeout;
    private readonly _defaultLocalize;
    private readonly _defaultDismiss;
    private readonly _defaultDismissText;
    private readonly _defaultPosition;
    private _notifications$;
    constructor(_platform: Platform, _applicationRef: ApplicationRef, _environmentInjector: EnvironmentInjector, _localize?: Localize, _config?: NotificationsConfig);
    success(content: string | TemplateRef<any>, actions?: NotificationAction[], timeout?: number): Notification;
    error(content: string | TemplateRef<any>, actions?: NotificationAction[], timeout?: number): Notification;
    warn(content: string | TemplateRef<any>, actions?: NotificationAction[], timeout?: number): Notification;
    info(content: string | TemplateRef<any>, actions?: NotificationAction[], timeout?: number): Notification;
    create(notification: Notification): Notification;
    private push;
    private pull;
    private compose;
    private createElement;
    private getProperty;
    static ɵfac: i0.ɵɵFactoryDeclaration<Notifications, [null, null, null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Notifications>;
}
