/// <reference types="grecaptcha" />
import { AfterViewInit, ElementRef, EventEmitter, NgZone, OnDestroy, Renderer2 } from '@angular/core';
import { RecaptchaConfig } from '../recaptcha.interface';
import { ControlValueAccessor } from '@angular/forms';
import { RecaptchaLoader } from '../recaptcha-loader.service';
import { Platform } from '@angular/cdk/platform';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class RecaptchaComponent implements ControlValueAccessor, AfterViewInit, OnDestroy {
    private _zone;
    private _platform;
    private _renderer;
    private _elementRef;
    private _loader;
    private _localizeId;
    private _config?;
    id: string;
    siteKey: string | null;
    tabIndex: number | null;
    type: ReCaptchaV2.Type | null;
    size: ReCaptchaV2.Size | null;
    theme: ReCaptchaV2.Theme | null;
    badge: ReCaptchaV2.Badge | null;
    errorMode: 'handled' | 'default';
    grouped: boolean;
    resolved: EventEmitter<string>;
    error: EventEmitter<[]>;
    private _widgetId;
    private _grecaptcha;
    private _executeRequested;
    private _onChange;
    private _onTouched;
    private _subscriptions;
    constructor(_zone: NgZone, _platform: Platform, _renderer: Renderer2, _elementRef: ElementRef, _loader: RecaptchaLoader, _localizeId: Observable<string>, _config?: RecaptchaConfig);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    execute(): void;
    reset(): void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    onResolve(event: string): void;
    private renderCaptchaElement;
    private resetCaptchaElement;
    private initializeProperties;
    private handleOnLoad;
    private handleLocaleChanges;
    private onLocaleChanged;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecaptchaComponent, [null, null, null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RecaptchaComponent, "bb-recaptcha", ["bbRecaptcha"], { "id": { "alias": "id"; "required": false; }; "siteKey": { "alias": "siteKey"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; "type": { "alias": "type"; "required": false; }; "size": { "alias": "size"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "badge": { "alias": "badge"; "required": false; }; "errorMode": { "alias": "errorMode"; "required": false; }; "grouped": { "alias": "grouped"; "required": false; }; }, { "resolved": "resolved"; "error": "error"; }, never, never, true, never>;
    static ngAcceptInputType_grouped: unknown;
}
