import { StorageOption, StorageStrategy } from './interfaces/strategy.interface';
import { StorageAttributes } from './interfaces/attributes.interface';
import { Platform } from '@angular/cdk/platform';
import * as i0 from "@angular/core";
export declare class Storage implements StorageStrategy {
    private _platform;
    private _cookieString?;
    private readonly _strategies;
    private readonly _current;
    constructor(_platform: Platform, _cookieString?: string);
    select(option: StorageOption | StorageOption[]): StorageStrategy;
    get local(): StorageStrategy;
    get cookie(): StorageStrategy;
    get session(): StorageStrategy;
    get memory(): StorageStrategy;
    get<T = any>(token: string): T;
    set<T = any>(token: string, value: T, attributes?: StorageAttributes): void;
    remove(token: string, attributes?: StorageAttributes): void;
    clear(attributes?: StorageAttributes): void;
    isSupported(): boolean;
    private findBestStorageStrategy;
    private getLocalStorage;
    private getSessionStorage;
    static ɵfac: i0.ɵɵFactoryDeclaration<Storage, [null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Storage>;
}
