import { Observable } from 'rxjs';
import { DataSource, DataSourceRequest } from './datasource.data';
import { HttpClient } from '@angular/common/http';
export declare class GenericDataSource<T = any> extends DataSource<T> {
    private readonly _httpClient;
    private readonly _endpoint$;
    private _items$;
    private _fn;
    private _rawFn;
    constructor(httpClient: HttpClient, endpoint: Observable<string> | string);
    append(item: Observable<{
        [key: string]: string;
    } | null>): this;
    data(fn: (data: T[]) => T[]): this;
    raw(fn: (data: unknown) => void): this;
    handle(request: DataSourceRequest): Observable<{
        data: T[];
        pageSize: number;
        pageNumber: number;
        totalPages: number;
        totalEntries: number;
    }>;
    private formatResponse;
    private formatParams;
}
